testing::internal::CartesianProductGenerator5< T1, T2, T3, T4, T5 > Class Template Reference

`#include <gtest.h>`

Inheritance diagram for testing::internal::CartesianProductGenerator5< T1, T2, T3, T4, T5 >:

## Public Types

typedef ::std::tuple< T1, T2, T3, T4, T5 > | ParamType
Public Types inherited from testing::internal::ParamGeneratorInterface< ::std::tuple< T1, T2, T3, T4, T5 > >
typedef ::std::tuple< T1, T2, T3, T4, T5 > | ParamType

## Public Member Functions

| CartesianProductGenerator5 (const ParamGenerator< T1 > &g1, const ParamGenerator< T2 > &g2, const ParamGenerator< T3 > &g3, const ParamGenerator< T4 > &g4, const ParamGenerator< T5 > &g5)
| ~CartesianProductGenerator5 () override
ParamIteratorInterface< ParamType > * | Begin () const override
ParamIteratorInterface< ParamType > * | End () const override
Public Member Functions inherited from testing::internal::ParamGeneratorInterface< ::std::tuple< T1, T2, T3, T4, T5 > >
virtual | ~ParamGeneratorInterface ()

## Detailed Description

### template<typename T1, typename T2, typename T3, typename T4, typename T5>
class testing::internal::CartesianProductGenerator5< T1, T2, T3, T4, T5 >

Definition at line 11763 of file gtest.h.

## Member Typedef Documentation

## ParamType

template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >

typedef ::std::tuple<T1, T2, T3, T4, T5> testing::internal::CartesianProductGenerator5< T1, T2, T3, T4, T5 >::ParamType

Definition at line 11766 of file gtest.h.

## Constructor & Destructor Documentation

## CartesianProductGenerator5()

template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >

testing::internal::CartesianProductGenerator5< T1, T2, T3, T4, T5 >::CartesianProductGenerator5 | ( | const ParamGenerator< T1 > & | g1,
|  | const ParamGenerator< T2 > & | g2,
|  | const ParamGenerator< T3 > & | g3,
|  | const ParamGenerator< T4 > & | g4,
|  | const ParamGenerator< T5 > & | g5
| ) |  |

inline

Definition at line 11768 of file gtest.h.

## ~CartesianProductGenerator5()

template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >

testing::internal::CartesianProductGenerator5< T1, T2, T3, T4, T5 >::~CartesianProductGenerator5 | ( |  | ) |

inlineoverride

Definition at line 11772 of file gtest.h.

## Member Function Documentation

## Begin()

template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >

ParamIteratorInterface<ParamType>* testing::internal::CartesianProductGenerator5< T1, T2, T3, T4, T5 >::Begin | ( |  | ) | const

inlineoverridevirtual

Implements testing::internal::ParamGeneratorInterface< ::std::tuple< T1, T2, T3, T4, T5 > >.

Definition at line 11774 of file gtest.h.

## End()

template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >

ParamIteratorInterface<ParamType>* testing::internal::CartesianProductGenerator5< T1, T2, T3, T4, T5 >::End | ( |  | ) | const

inlineoverridevirtual

Implements testing::internal::ParamGeneratorInterface< ::std::tuple< T1, T2, T3, T4, T5 > >.

Definition at line 11778 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h